package cn.kdan.compdf.utils;

import cn.kdan.compdf.dto.LoginUserDTO;
import cn.kdan.compdf.enums.AuthEnum;
import cn.kdan.compdf.exception.BusinessException;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * @author Bob 2022-10-17
 **/
public class TokenUtil {

    public static LoginUserDTO getRequestHeader() {
        ServletRequestAttributes attr = (ServletRequestAttributes) RequestContextHolder.currentRequestAttributes();
        HttpServletRequest request = attr.getRequest();

        String userId = request.getHeader(AuthEnum.USER_ID_HEADER);
        if (StringUtils.isEmpty(userId)) {
            throw new BusinessException("非法操作");
        }
        String userName = request.getHeader(AuthEnum.USER_NAME_HEADER);
        if (StringUtils.isEmpty(userName)) {
            throw new BusinessException("非法操作");
        }
        Long tenantId = Long.valueOf(request.getHeader(AuthEnum.USER_TENANT_ID_HEADER));
//        if (null == tenantId) {
//            throw new BusinessException("非法操作");
//        }

        return LoginUserDTO.builder()
                .id(Long.valueOf(userId))
                .username(userName)
                .tenantId(tenantId)
                .usersId(Integer.valueOf(request.getHeader(AuthEnum.USERS_ID_HEADER)))
                .build();
    }

}
