package cn.kdan.compdf.feign;

import cn.kdan.compdf.base.R;
import cn.kdan.compdf.dto.LoginUser;
import cn.kdan.compdf.dto.LoginUserDTO;
import cn.kdan.compdf.feign.fallback.UserFeignFallBackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author ComPDFKit-WPH 2023/1/2
 */
@FeignClient(name = "background-user",contextId="userInfo",fallbackFactory = UserFeignFallBackFactory.class)
@Component
public interface UserFeign {


    @PostMapping("/v1/user/getUserInfo")
    R<LoginUserDTO> getUserInfo(@RequestBody LoginUser loginUser);

    @PostMapping("/v1/user/creatUser")
    R<LoginUserDTO> creatUser(@RequestBody LoginUser loginUser);
}
