package cn.kdan.compdf.constant;

import cn.kdan.compdf.enums.ResponseEnum;
import cn.kdan.compdf.exception.BusinessException;
import lombok.Getter;

/**
 * @author ComPDFKit-WPH 2023/7/4
 */
public enum AssetTypeEnum {
    SUBSCRIPTION(1),
    PACKAGE(2),
    FREE(3),
    ;
    @Getter
    private final Integer value;

    AssetTypeEnum(Integer value){
        this.value = value;
    }

    public static AssetTypeEnum getByValue(Integer value){
        for (AssetTypeEnum assetTypeEnum : AssetTypeEnum.values()) {
            if (assetTypeEnum.getValue().equals(value)) {
                return assetTypeEnum;
            }
        }
        throw new BusinessException(ResponseEnum.ERROR_ASSET_TYPE_IS_NOT_SUPPORTED_YET);
    }


}
