package cn.kdan.compdf.controller.v1;

import cn.kdan.compdf.base.R;
import cn.kdan.compdf.entity.BackgroundMonthlyStatistics;
import cn.kdan.compdf.exception.CommonException;
import cn.kdan.compdf.service.BackgroundMonthlyStatisticsService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2024-10-10
 */
@RestController
@RequestMapping("/v1/monthly-statistics")
public class BackgroundMonthlyStatisticsController {

    private final BackgroundMonthlyStatisticsService backgroundMonthlyStatisticsService;
    @Value("${background.dashboard.autograph}")
    private String DASHBOARD_SYNC_AUTOGRAPH;

    public BackgroundMonthlyStatisticsController(BackgroundMonthlyStatisticsService backgroundMonthlyStatisticsService) {
        this.backgroundMonthlyStatisticsService = backgroundMonthlyStatisticsService;
    }

    @PostMapping("/monthly-statistics")
    public R<Void> monthlyStatistics(@RequestBody List<BackgroundMonthlyStatistics> monthlyStatisticsList, HttpServletRequest request) {
        if (!DASHBOARD_SYNC_AUTOGRAPH.equals(request.getHeader("autograph"))) {
            throw new CommonException("错误");
        }
        backgroundMonthlyStatisticsService.monthlyStatistics(monthlyStatisticsList);
        return R.ok();
    }

}
