package cn.kdan.compdf.entity;

import cn.kdan.compdf.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.Date;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2022-10-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("background_convert_data")
public class BackgroundConvertData extends BaseEntity{

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 关联用户主键id
     */
    private Long userId;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 关联用户项目主键id
     */
    private Long projectId;
    /**
     * 工具id
     */
    private Long toolId;
    /**
     * 文件总数
     */
    private Long fileTotal;
    /**
     * 文件转换成功总数
     */
    private Long fileSuccessTotal;
    /**
     * 文件转换无效总数
     */
    private Long fileInvalidTotal;
    /**
     * 文件转换失败总数
     */
    private Long fileFailedTotal;
    /**
     * 文件转换平均时间
     */
    private BigDecimal fileConvertTime;
    /**
     * 同步时间段
     */
    private LocalDateTime syncTime;
}
