package cn.kdan.compdf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import java.util.Date;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2023-05-25
 */
@Data
@TableName("order_cash_flow")
public class OrderCashFlow {

    /**
     * 主键id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 流水号
     */
    private String serialNumber;
    /**
     * 订单id
     */
    private Integer orderGoodsId;
    /**
     * 1paddle支付 2支付宝 3微信 4其他支付 5paypal
     */
    private Integer payType;
    /**
     * 交易类型:1 订阅 2 package
     */
    private Integer tradeType;
    /**
     * 金额
     */
    private BigDecimal price;
    /**
     * 税
     */
    private BigDecimal tax;
    /**
     * 利率
     */
    private BigDecimal rate;
    /**
     * 实际到账金额
     */
    private BigDecimal realPrice;
    /**
     * 第三方交易id
     */
    private String tradeId;
    /**
     * 第三方支付id
     */
    private String payId;
    /**
     * ISO 4217货币代码:1 USD,2 CNY
     */
    private Integer currency;
    /**
     * 发票号
     */
    private String invoiceNum;
    /**
     * 发票地址
     */
    private String invoiceUrl;
    /**
     * 用户账单信息（json序列化存储)
     */
    private String userBill;
    /**
     * 创建时间
     */
    private Date createdAt;
    /**
     * 更新时间
     */
    private Date updatedAt;
    /**
     * 0正常1已删除
     */
    private Integer delFlag;
    /**
     * 期数
     */
    private Integer period;

}
