package cn.kdan.compdf.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2024-01-25
 */
@Data
@TableName("orders")
public class Orders {

    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 订单号
     */
    private String orderNo;
    /**
     * 支付订单号
     */
    private String merchantNo;
    /**
     * 支付类型：1paddle支付2支付宝3微信4不需支付5paypal
     */
    private Integer payType;
    /**
     * 状态：0代付款，1为已付款，2已完成 3待退款 4已关闭
     */
    private Integer status;
    /**
     * 支付时间
     */
    private Date payTime;
    /**
     * 订单类型：1后台创建2用户购买
     */
    private Integer type;
    /**
     * 订单类别：1SDK试用  2SDK订单  3SaaS订单
     */
    private Integer detailsType;
    /**
     * 订单总金额
     */
    private BigDecimal price;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 用户账单信息（json序列化存储)
     */
    private String userBill;
    /**
     * 订单关闭时间
     */
    private Date closetime;
    /**
     * 商品数量
     */
    private Integer goodstotal;
    /**
     * 创建时间
     */
    private Date createdAt;
    /**
     * 修改时间
     */
    private Date updatedAt;
    /**
     * 发票编号
     */
    private String billNo;
    /**
     * 发票下载地址
     */
    private String billUrl;
    /**
     * 第三方交易号
     */
    private String thirdTradeNo;
    /**
     * 
     */
    private String payUrl;
    /**
     * 是否已续订订单
     */
    private Integer isrenwe;
    /**
     * 续订的父订单ID
     */
    private Integer renweId;
    /**
     * 缴税费用
     */
    private BigDecimal tax;
    /**
     * 备注（是否已退款）
     */
    private String remark;

}
