package cn.kdan.compdf.entity;

import cn.kdan.compdf.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2024-01-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("orders_goods")
public class OrdersGoods extends BaseEntity{

    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 订单id
     */
    private Integer orderId;
    /**
     * 订单号
     */
    private String orderNo;
    /**
     * 订单明细单号
     */
    private String goodsNo;
    /**
     * 支付订单号
     */
    private String merchantNo;
    /**
     * 商品第三方支付交易明细订单号
     */
    private String detailsMerchantNo;
    /**
     * 支付类型：1paddle支付2支付宝3微信4不需支付
     */
    private Integer payType;
    /**
     * 状态：0待支付，1为已付款或者订阅中，2已完成 3待退款 4已关闭 5取消订阅 6已退款
     */
    private Integer status;
    /**
     * 支付时间
     */
    private Date payTime;
    /**
     * 订单类型：1后台创建2用户购买
     */
    private Integer type;
    /**
     * 订单类别：1SDK试用  2SDK订单  3SaaS订单
     */
    private Integer detailsType;
    /**
     * appid/Machine ID
     */
    private String appid;
    /**
     * 商品支付金额
     */
    private BigDecimal price;
    /**
     * 用户ID
     */
    private Integer userId;
    /**
     * 关闭时间
     */
    private Date closetime;
    /**
     * 商品购买年限
     */
    private Integer payYears;
    /**
     * 商品ID
     */
    private Integer goodsId;
    /**
     * 创建时间
     */
    private Date createdAt;
    /**
     * 修改时间
     */
    private Date updatedAt;
    /**
     * 第三方交易号
     */
    private String thirdTradeNo;
    /**
     * 续订的父订单明细ID
     */
    private Integer renweGoodsid;
    /**
     * 配置的资产,后台新建订单自定义配置订阅套餐档位
     */
    private Integer specialAssets;
    /**
     * SaaS订单套餐类型 1：订阅 2：package
     */
    private Integer packageType;
    /**
     * 订阅类型订单下次扣款时间
     */
    private Date nextBillingTime;
    /**
     * 备注 时候退款等
     */
    private String remark;

}
