package cn.kdan.compdf.service;

import cn.kdan.compdf.dto.DashboardStatisticsDTO;
import cn.kdan.compdf.dto.PlanStatisticsDTO;
import cn.kdan.compdf.entity.BackgroundConvertData;
import cn.kdan.compdf.entity.dto.AnalysisDataDTO;
import cn.kdan.compdf.entity.dto.DashboardDetailedDataDTO;
import cn.kdan.compdf.entity.dto.DashboardQueryDTO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @author comPDF-Kit WPH 2022-10-09
 */
public interface BackgroundConvertDataService extends IService<BackgroundConvertData> {

    /**
     * 列表查询
     *
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<BackgroundConvertData> page(BackgroundConvertData query);

    /**
     * 查询文件处理分析数据
     *
     * @param queryDTO 查询条件
     * @return 文件处理分析数据
     */
    AnalysisDataDTO getAnalysisData(DashboardQueryDTO queryDTO);

    /**
     * 获取每个时间段的成功处理数
     * @param queryDTO 查询参数
     * @return 行列值集合
     */
    List<DashboardDetailedDataDTO> getSuccessfulRequestDetailedData(DashboardQueryDTO queryDTO);

    /**
     * 获取每个时间段的无效处理数
     * @param queryDTO 查询参数
     * @return 行列值集合
     */
    List<DashboardDetailedDataDTO> getInvalidRequestDetailedData(DashboardQueryDTO queryDTO);

    /**
     * 获取每个时间段的失败处理数
     * @param queryDTO 查询参数
     * @return 行列值集合
     */
    List<DashboardDetailedDataDTO> getErrorRequestDetailedData(DashboardQueryDTO queryDTO);

    /**
     * 获取每个时间段的失败率处理数
     * @param queryDTO 查询参数
     * @return 行列值集合
     */
    List<DashboardDetailedDataDTO> getErrorRatioDetailedData(DashboardQueryDTO queryDTO);

    /**
     * 获取每个时间段的平均处理时长处理数
     * @param queryDTO 查询参数
     * @return 行列值集合A
     */
    List<DashboardDetailedDataDTO> getAverageProcessTimeDetailedData(DashboardQueryDTO queryDTO);

    /**
     * 导出报表
     */
    void dashboardExport(DashboardQueryDTO queryDTO,HttpServletResponse response);

    /**
     * Dashboard数据同步
     */
    void dashboardDataSync(List<DashboardStatisticsDTO> list);



    void refresh(Long tenantId);
}