package cn.kdan.compdf.service;

import cn.kdan.compdf.dto.AddNewProjectDTO;
import cn.kdan.compdf.dto.EditProjectDTO;
import cn.kdan.compdf.entity.BackgroundUserProject;
import cn.kdan.compdf.vo.BackgroundUserProjectVO;
import cn.kdan.compdf.vo.ProjectQueryVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author comPDF-Kit WPH 2022-10-09
 */
public interface BackgroundUserProjectService extends IService<BackgroundUserProject> {

    /**
     * 列表查询
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<BackgroundUserProject> page(BackgroundUserProject query);

    /**
     * 获取API Keys列表
     * @return project列表
     */
    List<BackgroundUserProjectVO> getProjectList(Long userId,Integer timeZone);

    /**
     * 添加新项目
     * @param addNewProjectDTO 新项目参数
     */
    void addNewProject(AddNewProjectDTO addNewProjectDTO);

    /**
     * 添加新用户默认项目
     * @param userId 用户id
     */
    void defaultProject(Long userId,Long tenantId);

    /**
     * 编辑项目
     * @param editProjectDTO 编辑参数
     */
    void editProject(EditProjectDTO editProjectDTO,Long userId);

    /**
     * 删除项目
     * @param id 项目表主键
     */
    void deleteById(Long id);

    /**
     * 查询出当前用户下的所有projectName和Id
     */
    List<ProjectQueryVO> getProjectQuery(Long tenantId);
}