package cn.kdan.compdf.service;

import cn.kdan.compdf.entity.OrderCashFlow;
import cn.kdan.compdf.vo.OrderBillVo;
import cn.kdan.compdf.vo.OrderBillingInfoVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023-05-25
 */
public interface OrderCashFlowService extends IService<OrderCashFlow> {


    /**
     * 获取流水账单
     *
     * @param orderGoodsIds orderGoodsIds
     * @return OrderBillVo
     */
    List<OrderBillVo> getOrderCashFlowByOrderId(List<Integer> orderGoodsIds, Integer flag);

    /**
     * 修改发票信息
     *
     * @param orderCashFlowId orderCashFlowId
     * @param billUrl         billUrl
     * @param billNo          billNo
     * @param userBillStr     userBillStr
     */
    void updateBillInfo(Integer orderCashFlowId, String billUrl, String billNo, String userBillStr);

    /**
     * 获取流水账单
     *
     * @param orderCashFlowId orderCashFlowId
     * @return OrderBillVo
     */
    OrderBillVo getOrderCashFlowByOrderId(Integer orderCashFlowId);

    OrderBillingInfoVO getOrderBillingInfo(Integer orderCashFlowId);
}