package cn.kdan.compdf.service;

import cn.kdan.compdf.dto.ApplyInvoiceDTO;
import cn.kdan.compdf.dto.BillSendEmailDTO;
import cn.kdan.compdf.dto.UserBillingUpInfoDTO;
import cn.kdan.compdf.entity.UserBillingInformation;
import cn.kdan.compdf.vo.ApplyInvoiceVO;
import cn.kdan.compdf.vo.OrderBillVo;
import cn.kdan.compdf.vo.UserBillingInfoVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2023-05-15
 */
public interface UserBillingInformationService extends IService<UserBillingInformation> {


    /**
     * 获取用户账单信息
     *
     * @param compdfKitId compdfKitId
     * @return UserBillingInfoVO
     */
    UserBillingInfoVO getUserBillingInfo(Integer compdfKitId);

    /**
     * 更新用户账单信息
     *
     * @param compdfKitId          compdfKitId
     * @param userBillingUpInfoDTO userBillingUpInfoDTO
     */
    void updateUserBillingInfo(Integer compdfKitId, UserBillingUpInfoDTO userBillingUpInfoDTO);

    /**
     * 修改用户账单发送email
     *
     * @param compdfKitId compdfKitId
     * @param email       email
     */
    void updateUserBillingEmail(Integer compdfKitId, String email);

    /**
     * 申请开发票
     *
     * @param compdfkitId     compdfkitId
     * @param applyInvoiceDTO applyInvoiceDTO
     * @return ApplyInvoiceVO
     */
    ApplyInvoiceVO applyInvoice(Integer compdfkitId, ApplyInvoiceDTO applyInvoiceDTO);

    /**
     * bill发票邮件发送
     *
     * @param billSendEmailDTO billSendEmailDTO
     */
    void billSendEmail(BillSendEmailDTO billSendEmailDTO);

    /**
     * 获取用户订单流水
     *
     * @param compdfKitId compdfKitId
     * @return OrderBillVo
     */
    List<OrderBillVo> getOrderBillVos(Integer compdfKitId);
}