package cn.kdan.compdf.service.impl;

import cn.kdan.compdf.entity.BackgroundEvent;
import cn.kdan.compdf.mapper.BackgroundEventMapper;
import cn.kdan.compdf.service.BackgroundEventService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author comPDF-Kit WPH 2022-10-09
 */
@Service
public class BackgroundEventServiceImpl extends ServiceImpl<BackgroundEventMapper, BackgroundEvent> implements BackgroundEventService {

    @Override
    public IPage<BackgroundEvent> page(BackgroundEvent query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    /**
     * 获取系统可用事件
     * @return 系统可用事件
     */
    @Override
    public List<BackgroundEvent> getEventList() {
        return this.baseMapper.selectList(new LambdaQueryWrapper<BackgroundEvent>().eq(BackgroundEvent::getStatus, 1).orderByAsc(BackgroundEvent::getId));
    }

}
