package cn.kdan.compdf.service.impl;

import cn.kdan.compdf.entity.BackgroundMonthlyStatistics;
import cn.kdan.compdf.mapper.BackgroundMonthlyStatisticsMapper;
import cn.kdan.compdf.service.BackgroundMonthlyStatisticsService;
import cn.kdan.compdf.service.BackgroundUserService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2024-10-10
 */
@Service
@RequiredArgsConstructor
public class BackgroundMonthlyStatisticsServiceImpl extends ServiceImpl<BackgroundMonthlyStatisticsMapper, BackgroundMonthlyStatistics> implements BackgroundMonthlyStatisticsService {

    private final BackgroundUserService userService;

    @Override
    public void monthlyStatistics(List<BackgroundMonthlyStatistics> monthlyStatisticsList) {
        monthlyStatisticsList.forEach(monthlyStatistics -> {
            monthlyStatistics.setCompdfkitId(userService.getCompdfkitId(monthlyStatistics.getTenantId()));
        });
        this.saveBatch(monthlyStatisticsList);
    }
}
