package cn.kdan.compdf.service.impl;

import cn.kdan.compdf.entity.Orders;
import cn.kdan.compdf.mapper.OrdersMapper;
import cn.kdan.compdf.service.OrdersService;
import cn.kdan.compdf.vo.OrderBillVo;
import cn.kdan.compdf.vo.OrderBillingInfoVO;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author ComPDFKit-WPH 2023-05-16
 */
@Service
public class OrdersServiceImpl extends ServiceImpl<OrdersMapper, Orders> implements OrdersService {

    @Override
    public List<Integer> getSuccessOrderIdByCompdfKitId(Integer compdfKitId) {
        List<Orders> orders = this.baseMapper.selectList(new LambdaQueryWrapper<Orders>()
                .select(Orders::getId)
                .eq(Orders::getDetailsType, 3)
                .eq(Orders::getUserId,compdfKitId)
                .in(Orders::getStatus, 1, 2));
        return orders.stream().map(Orders::getId).collect(Collectors.toList());
    }

    @Override
    public List<Integer> getFailOrderIdByCompdfKitId(Integer compdfKitId) {
        List<Orders> orders = this.baseMapper.selectList(new LambdaQueryWrapper<Orders>()
                .select(Orders::getId)
                .eq(Orders::getDetailsType, 3)
                .eq(Orders::getUserId,compdfKitId)
                .eq(Orders::getStatus, 6));
        return orders.stream().map(Orders::getId).collect(Collectors.toList());
    }

//    @Override
//    public List<OrderBillVo> getSaaSOrder() {
//        List<Orders> orders = this.baseMapper.selectList(new LambdaQueryWrapper<Orders>()
//                .select(Orders::getId, Orders::getPayTime, Orders::getOrderNo, Orders::getPrice, Orders::getBillNo, Orders::getBillUrl)
//                .eq(Orders::getDetailsType, 3).in(Orders::getStatus, 1, 2));
//        List<OrderBillVo> orderBillVos = JSONObject.parseArray(JSONObject.toJSONString(orders), OrderBillVo.class);
//        return orderBillVos;
//    }
//
//    @Override
//    public void updateBillInfo(Integer orderId, String billUrl, String billNo, String userBillStr) {
//        Orders orders = new Orders();
//        orders.setBillNo(billNo);
//        orders.setBillUrl(billUrl);
//        orders.setUserBill(userBillStr);
//        this.baseMapper.update(orders,new LambdaQueryWrapper<Orders>().eq(Orders::getOrderNo,orderId));
//    }
//
//    @Override
//    public OrderBillVo getSaaSOrderByOrderId(Integer orderId) {
//        Orders orders = this.baseMapper.selectOne(new LambdaQueryWrapper<Orders>().eq(Orders::getId, orderId));
//        OrderBillVo orderBillVo = new OrderBillVo();
//        BeanUtils.copyProperties(orders,orderBillVo);
//        return orderBillVo;
//    }


}
