package cn.kdan.compdf.utils;

import cn.kdan.compdf.exception.BusinessException;
import freemarker.template.Configuration;
import freemarker.template.Template;
import freemarker.template.TemplateException;
import lombok.extern.slf4j.Slf4j;

import java.io.IOException;
import java.io.StringWriter;
import java.util.Map;

/**
 * @author ComPDFKit-WPH 2023/4/17
 */
@Slf4j
public class TemplatesUtil {

    public static String replaceStringUsingFreeMarker(String templateString, Object o){
        try (StringWriter out = new StringWriter()) {
            Configuration configuration = new Configuration(Configuration.VERSION_2_3_30);
            Template template = new Template("invoice", templateString, configuration);
            template.process(o, out);
            return out.toString();
        } catch (TemplateException | IOException e) {
            log.error(e.getMessage(),e);
            throw new BusinessException(e.getMessage());
        }
    }

}
